C+
C NAME:
C	iFullFragment
C PURPOSE:
C	Deconstruct file names into components
C CALLING SEQUENCE:
	function iFullFragment(cDir,cOut)		! cDir = [......]
C INPUTS:
C	iSetFileSpec:
C
C	cFile	character*(*)	file specification
C
C	iGetFileSpec:
C
C	nFirst	integer		first component to be extracted
C	nLast	integer		last component to be extracted
C OUTPUTS:
C CALLS:
C	itrim
C INCLUDE:
	include		'dirspec.h'
C PROCEDURE:
C MODIFICATION HISTORY:
C	JUN-1995, Paul Hick (UCSD/CASS; pphick@ucsd.edu)
C-
	    character	cDir*(*)
	    character	cOut*(*)

	iFullFragment = 0

	i2 = itrim(cDir)
	if (i2 .le. iLead+iTrail) then
	    cOut = ' '
	    return
	end if

	i1 = iLead
	if (bNoRoot .and. i2 .gt. iLeadRootDivide .and.	! Step past root
     &	    cDir(:iLeadRootDivide) .eq. cLeadRootDivide) i1 = iLeadRootDivide
	i2 = i2-iTrail

	cOut = cDir(i1+1:i2)
	iFullFragment = i2-i1

	return
	end
